%define name	perl-Crypt-OpenSSL-Random
%define version	0.03
%define release 5mdk

Summary:	Crypt-OpenSSL-Random module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-OpenSSL-Random-0.03.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
Requires:	openssl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

%description
Crypt-OpenSSL-Random module for perl

%prep
%setup -q -n Crypt-OpenSSL-Random-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes 
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/Random.so
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/Random/autosplit.ix
%{perl_vendorlib}/*/Crypt/OpenSSL/Random.pm
%{_mandir}/*/*

%changelog
* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.03-5mdk
- rebuild for new perl

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-4mdk
- Move manpages in the standard location (man3 instead of man3pm)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-3mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.03-2mdk
- build release

* Wed Nov 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.03-1mdk
- initial cooker contrib.
